Skip to main content
`Ctrl`+`K`

# YAML to Chemkin conversion

Convert Cantera YAML input files to Chemkin-format mechanisms

    usage: yaml2ck [-h] [--phase-name PHASE] [--mechanism MECH] [--thermo THERM] [--transport TRAN] [--sort-elements {None,alphabetical,molar-mass}]
                   [--sort-species {None,alphabetical,molar-mass}] [--overwrite | --no-overwrite] [--validate | --no-validate]
                   input

## Positional Arguments

`input`

  The input YAML filename. Required.

## Named Arguments

`--phase-name`

  Name of the phase to load from the input. If unspecified, the first phase listed in the input file will be loaded.

  Default: “”

`--mechanism`

  The path to the output mechanism file. Optional. If not provided, the name of the input file will be used, with the extension replaced by ‘.ck’.If the path specified here is an existing directory, the output file(s) will be placed in that directory.

`--thermo`

  The path to the output thermodynamics database file. Optional. If not provided, the thermodynamic data will be included in the mechanism file.

`--transport`

  The path to the output transport database file. Optional. If not provided, transport data will be included in the mechanism file.

`--sort-elements`

  Possible choices: None, alphabetical, molar-mass

  Sort elements in source order (None), alphabetically, or from lowest to highest atomic mass.

`--sort-species`

  Possible choices: None, alphabetical, molar-mass

  Sort species in source order (None), alphabetically, or from lowest to highest molecular weight.

`--overwrite, --no-overwrite`

  If set, overwrite existing output files.

  Default: False

`--validate, --no-validate`

  Check that the mechanism can be loaded back into Cantera.

  Default: True